Scientific Linux Security Update : Virtio on SL3.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

This new package provides signed, para-virtualized block and network
drivers for Scientific Linux 3 as a KVM virtualized guest.

Users may see various warnings during package installation,
including :

- Different versions of package are already installed.
Older versions of the package may cause 'File exists'
error messages to appear. The package will install
successfully the error messages just inform the user
that files for devices exist. This warning can be
ignored.

- If the previous installed package was for a different
kernel (for example, kmod-virtio-smp on hugemem system),
the installation will fail. Modules cannot be inserted
and a 'Wrong number of arguments' error message will
appear. To fix this issue, create nodes manually as
covered in the README file. This issue can be prevented
by installing the correct drivers for the kernel
package.

See also :

http://www.nessus.org/u?db0cd96d

Solution :

Update the affected kmod-virtio, kmod-virtio-hugemem and / or
kmod-virtio-smp packages.

Risk factor :

High

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60751 ()

Bugtraq ID:

CVE ID: